XMLTableModel (dom4j 1.6.1 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.swing
Class XMLTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          org.dom4j.swing.XMLTableModel

All Implemented Interfaces:
  Serializable, TableModel

public class XMLTableModel
extends AbstractTableModel

`XMLTableDefinition` repro.

Version:
  $Revision: 1.8 $
Author:
  James Strachan
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`XMLTableModel(Document tableDefinition, Object source)` Creates a TableModel from an XML table definition document and an XML source
`XMLTableModel(Element tableDefinition, Object source)` Creates a TableModel from an XML table definition document and an XML source
`XMLTableModel(XMLTableDefinition definition, Object source)`

Method Summary
`Class` | `getColumnClass(int columnIndex)`
`int` | `getColumnCount()`
`String` | `getColumnName(int columnIndex)`
`XMLTableDefinition` | `getDefinition()` Getter for property definition.
`int` | `getRowCount()`
`List` | `getRows()`
`Object` | `getRowValue(int rowIndex)`
`Object` | `getSource()` Getter for the XML source, which is usually a Node or List of nodes.
`Object` | `getValueAt(int rowIndex, int columnIndex)`
`protected void` | `handleException(Exception e)`
`void` | `setDefinition(XMLTableDefinition definition)` Setter for property definition.
`void` | `setSource(Object source)` Setter for the XML source, which is usually a Node or List of nodes.

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLTableModel

    public XMLTableModel(Element tableDefinition,
                         Object source)

  Creates a TableModel from an XML table definition document and an XML source

Parameters:
  `tableDefinition` - DOCUMENT ME!
  `source` - DOCUMENT ME!

### XMLTableModel

    public XMLTableModel(Document tableDefinition,
                         Object source)

  Creates a TableModel from an XML table definition document and an XML source

Parameters:
  `tableDefinition` - DOCUMENT ME!
  `source` - DOCUMENT ME!

### XMLTableModel

    public XMLTableModel(XMLTableDefinition definition,
                         Object source)

Method Detail

### getRowValue

    public Object getRowValue(int rowIndex)

### getRows

    public List getRows()

### getColumnClass

    public Class getColumnClass(int columnIndex)

### getColumnCount

    public int getColumnCount()

### getColumnName

    public String getColumnName(int columnIndex)

### getValueAt

    public Object getValueAt(int rowIndex,
                             int columnIndex)

### getRowCount

    public int getRowCount()

### getDefinition

    public XMLTableDefinition getDefinition()

  Getter for property definition.

  Returns:
    Value of property definition.

### setDefinition

    public void setDefinition(XMLTableDefinition definition)

  Setter for property definition.

  Parameters:
    `definition` - New value of property definition.

### getSource

    public Object getSource()

  Getter for the XML source, which is usually a Node or List of nodes.

  Returns:
    Value of property source.

### setSource

    public void setSource(Object source)

  Setter for the XML source, which is usually a Node or List of nodes.

  Parameters:
    `source` - New value of property source.

### handleException

    protected void handleException(Exception e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.